KFIFO_DMA_OUT_PREPAR(9)

NAME
kfifo_dma_out_prepare - setup a scatterlist for DMA output

SYNOPSIS

kfifo_dma_out_prepare(fifo, sgl, nents, len);

ARGUMENTS

fifo
    address of the fifo to be used

sgl
    pointer to the scatterlist array

nents
    number of entries in the scatterlist array

len
    number of elements to transfer

DESCRIPTION

This macro fills a scatterlist for DMA output which at most len bytes to transfer. It returns the number entries in the scatterlist array. A zero means there is no space available and the scatterlist is not filled.

Note that with only one concurrent reader and one concurrent writer, you don't need extra locking to use these macros.

COPYRIGHT